| Home | Libraries | People | FAQ | More

## Struct template logical_not

boost::proto::logical_not — A metafunction for generating logical_not expression types, a grammar element for matching logical_not expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename T>
    struct logical_not :  proto::transform< logical_not<T> > {
      // types
      typedef proto::expr< proto::tag::logical_not, proto::list1< T > >       type;
      typedef proto::basic_expr< proto::tag::logical_not, proto::list1< T > > proto_grammar;

      // member classes/structs/unions
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<logical_not>::template impl<Expr, State, Data>
      {
      };
    };

## Description